mbed TLS v2.23.0: ssl_cookie.h File Reference

mbed TLS v2.23.0

Data Structures
ssl_cookie.h File Reference

DTLS cookie callbacks implementation. More...

`#include "mbedtls/config.h"`
`#include "mbedtls/ssl.h"`
Include dependency graph for ssl_cookie.h:

Go to the source code of this file.

## Data Structures
struct | mbedtls_ssl_cookie_ctx
| Context for the default cookie functions. More...

## SECTION: Module settings
The configuration options you can set for this module are in this section. Either change them in config.h or define them on the compiler command line.
#define | MBEDTLS_SSL_COOKIE_TIMEOUT 60
typedef struct mbedtls_ssl_cookie_ctx | mbedtls_ssl_cookie_ctx
| Context for the default cookie functions. More...
mbedtls_ssl_cookie_write_t | mbedtls_ssl_cookie_write
| Generate cookie, see `mbedtls_ssl_cookie_write_t`. More...
mbedtls_ssl_cookie_check_t | mbedtls_ssl_cookie_check
| Verify cookie, see `mbedtls_ssl_cookie_write_t`. More...
void | mbedtls_ssl_cookie_init (mbedtls_ssl_cookie_ctx *ctx)
| Initialize cookie context. More...
int | mbedtls_ssl_cookie_setup (mbedtls_ssl_cookie_ctx *ctx, int(*f_rng)(void *, unsigned char *, size_t), void *p_rng)
| Setup cookie context (generate keys) More...
void | mbedtls_ssl_cookie_set_timeout (mbedtls_ssl_cookie_ctx *ctx, unsigned long delay)
| Set expiration delay for cookies (Default MBEDTLS_SSL_COOKIE_TIMEOUT) More...
void | mbedtls_ssl_cookie_free (mbedtls_ssl_cookie_ctx *ctx)
| Free cookie context. More...

## Detailed Description

DTLS cookie callbacks implementation.

Definition in file ssl_cookie.h.

## Macro Definition Documentation

## ◆ MBEDTLS_SSL_COOKIE_TIMEOUT

#define MBEDTLS_SSL_COOKIE_TIMEOUT 60

Default expiration delay of DTLS cookies, in seconds if HAVE_TIME, or in number of cookies issued

Definition at line 48 of file ssl_cookie.h.

## Typedef Documentation

## ◆ mbedtls_ssl_cookie_ctx

typedef struct mbedtls_ssl_cookie_ctx mbedtls_ssl_cookie_ctx

Context for the default cookie functions.

## Function Documentation

## ◆ mbedtls_ssl_cookie_free()

void mbedtls_ssl_cookie_free | ( | mbedtls_ssl_cookie_ctx * | ctx | ) |

Free cookie context.

## ◆ mbedtls_ssl_cookie_init()

void mbedtls_ssl_cookie_init | ( | mbedtls_ssl_cookie_ctx * | ctx | ) |

Initialize cookie context.

## ◆ mbedtls_ssl_cookie_set_timeout()

void mbedtls_ssl_cookie_set_timeout | ( | mbedtls_ssl_cookie_ctx * | ctx,
|  | unsigned long | delay
| ) |  |

Set expiration delay for cookies (Default MBEDTLS_SSL_COOKIE_TIMEOUT)

Parameters

  ctx | Cookie contex
  delay | Delay, in seconds if HAVE_TIME, or in number of cookies issued in the meantime. 0 to disable expiration (NOT recommended)

## ◆ mbedtls_ssl_cookie_setup()

int mbedtls_ssl_cookie_setup | ( | mbedtls_ssl_cookie_ctx * | ctx,
|  | int(*)(void *, unsigned char *, size_t) | f_rng,
|  | void * | p_rng
| ) |  |

Setup cookie context (generate keys)

## Variable Documentation

## ◆ mbedtls_ssl_cookie_check

mbedtls_ssl_cookie_check_t mbedtls_ssl_cookie_check

Verify cookie, see `mbedtls_ssl_cookie_write_t`.

Definition at line 109 of file ssl_cookie.h.

## ◆ mbedtls_ssl_cookie_write

mbedtls_ssl_cookie_write_t mbedtls_ssl_cookie_write

Generate cookie, see `mbedtls_ssl_cookie_write_t`.

Definition at line 104 of file ssl_cookie.h.